%global src_repo_tag   R_1_2_2 
%global install_loc    %{_datadir}/eclipse/dropins/mpc

Name:           eclipse-mpc
Version:        1.2.2
Release:        1%{?dist}
Summary:        Eclipse Marketplace Client

Group:          Development/Tools
License:        EPL
URL:            http://www.eclipse.org/mpc/
Source0:        http://git.eclipse.org/c/mpc/org.eclipse.epp.mpc.git/snapshot/%{src_repo_tag}.tar.bz2

BuildArch: noarch

BuildRequires: eclipse-pde >= 1:3.4.0
BuildRequires: eclipse-p2-discovery >= 1.0.0
BuildRequires: maven-local
BuildRequires: feclipse-maven-plugin
Requires: eclipse-platform >= 3.6.0
Requires: eclipse-p2-discovery >= 1.0.0

%description
The Eclipse Marketplace Client provides access to extension catalogs.

%prep
%setup -q -n %{src_repo_tag}

%{__chmod} a-x org.eclipse.epp.mpc.feature/license.html  

%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin
%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin org.eclipse.epp.mpc.ui
%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin org.eclipse.epp.mpc.core
%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin org.eclipse.epp.mpc.help.ui
%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin org.eclipse.epp.mpc.tests
%pom_remove_plugin org.apache.maven.plugins:maven-pmd-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-pmd-plugin org.eclipse.epp.mpc.ui
%pom_remove_plugin org.apache.maven.plugins:maven-pmd-plugin org.eclipse.epp.mpc.core
%pom_remove_plugin org.apache.maven.plugins:maven-pmd-plugin org.eclipse.epp.mpc.help.ui

%pom_xpath_remove "pom:build/pom:pluginManagement/pom:plugins/pom:plugin[pom:artifactId='tycho-packaging-plugin']"

%build
%mvn_build -i -j -f -- -Pdist

%install
install -d -m 755 %{buildroot}%{install_loc}
 
xmvn -o org.fedoraproject:feclipse-maven-plugin:install \
  -DsourceRepo=org.eclipse.epp.mpc.site/target/site -DtargetLocation=%{buildroot}%{install_loc}/eclipse

%files
%{install_loc}
%doc org.eclipse.epp.mpc.feature/epl-v10.html
%doc org.eclipse.epp.mpc.feature/license.html

%changelog
* Thu Sep 4 2014 Alexander Kurtakov <akurtako@redhat.com> 1.2.2-1
- Update to official 1.2.2 release.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-0.2.git519e70b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Nov 11 2013 Alexander Kurtakov <akurtako@redhat.com> 1.2.1-0.1.git519e70b
- This is gonna be version 1.2.1.

* Tue Oct 1 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.1.2-0.6.git7feb49
- Fix the build (remove jgit timestamp provider).

* Tue Oct 1 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.1.2-0.4.git7feb49
- Update to latest upstream.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-0.4.git00b427
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 20 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.1.2-0.3.git00b427
- Update to latest upstream (likely Kepler, but not tagged yet).

* Tue May 7 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.1.2-0.2.gitb114a5
- Tranistion to tycho build. 

* Mon May 6 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.1.2-0.1.gitb114a5
- Update to latest upstream.

* Thu Feb 14 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.1.1-4
- Fix the build.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 10 2012 Alexander Kurtakov <akurtako@redhat.com> 1.1.1-1
- Update to upstream 1.1.1 release.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul 13 2011 Alexander Kurtakov <akurtako@redhat.com> 1.1.0-2
- Use upstream sources.
- Adapt to current guidelines.

* Thu Jun 02 2011 Chris Aniszczyk <zx@redhat.com> 1.1.0-1
- Updating to the 1.1.0 release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 9 2010 Chris Aniszczyk <zx@redhat.com> 1.0.1-1
- Initial packaging
